IBM Security Z Security

 View Only

IBM Security zSecure compatibility for CICS 6.1

By Jeroen Tiggelman posted Sat April 23, 2022 04:39 AM

  
IBM CICS Transaction Server for z/OS, 6.1 was announced on April 5, 2022, with a planned availability date of June 17, 2022. Toleration fixes for zSecure 2.2.0, 2.2.1, 2.3.0, 2.3.1, 2.4.0, and 2.5.0 have become available as of April 20, 2022.


Background

IBM Security zSecure can detect security settings for CICS regions and report on CICS transactions and programs, and can process CICS security events. ISPF menu option RE.C displays information about CICS regions (zSecure Admin, zSecure Audit)  and about CICS transactions and CICS programs (zSecure Audit only). CICS SMF records are processed in zSecure Audit, zSecure Alert, and zSecure Adapters for SIEM; the enriched events can be sent to a Security Information and Event Management (SIEM) solution, such as IBM QRadar SIEM.

The common query language employed by zSecure Admin, zSecure Audit, zSecure Manager for RACF z/VM, zSecure Alert, and zSecure Adapters for QRadar SIEM is called the CARLa Auditing and Reporting Language (CARLa).

zSecure CICS Toolkit provides a toolkit and an administrator interface to administer RACF from a CICS environment.

On April 5, 2022 IBM made a large set of important announcements also including the IBM z16, IBM Db2 13,  and the IBM Z Security and Compliance Center. If you want to exploit the latter for CICS compliance evidence, then CICS 6.1 is required.


Benefits

Toleration support for CICS Transaction Server 6.1, without which CICS information might be missing or unrecognized.


Prerequisites

To benefit from these enhancements the following is required:
* IBM Security zSecure 2.2 (or later), or one of the zSecure Compliance, Administration, and Auditing solutions
* The relevant PTF for APAR OA63092 (zSecure Admin/Audit/Adapters) depending on your release: UJ08224 (2.2.0) , UJ08223 (2.2.1), UJ08222 (2.3.0), UJ08221 (2.3.1), UJ08220 (2.4.0), or UJ08219 (2.5.0).

zSecure CICS Toolkit does not require any updates.


Migration

You can apply this fix without special considerations.


If you have any questions, please post them here or on the zSecure support forum. The IBM Security zSecure today article serves as a starting point to reach all the latest zSecure announcements.
0 comments
33 views

Permalink